<bugID>1329344<Summary>Developer console increasing memory consumption on each reload</Summary><Description>Created attachment 8824578
memory_reports.tar

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Build ID: 20170103031119

Steps to reproduce:

Refreshing the page with developer console open results in high memory consumption over time. Attached are the memory reports before and after 20 consequtive reloads (ctrl+shift+r) of the same page with the developer console open.  


Actual results:

Running out of memory over time results in system becoming unresponsive under huge system load. 


Expected results:

Memory consumption should not increase that much on each reload.</Description></bugID>